EnderDash

Update Contact Point

POST
/alerts/updateContactPoint

Authorization

__Secure-enderdash.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
enabled?boolean
Defaulttrue
name*string
Length1 <= length <= 120
target*string
Length3 <= length <= 2000
type*string

Value in

  • "email"
  • "webhook"
  • "discord"
  • "chat"
contactPointId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/alerts/updateContactPoint" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "target": "string",    "type": "email",    "contactPointId": "cf5dfe85-f4ff-4283-a8be-b72a98cc01a9"  }'
null